<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>ejemplo1</title>
	<style type="text/css">
		.punto{
			background-color: black;
			position: absolute;
			left:0px;
			top:0px;
			width: 1px;
			height: 1px;
		}
	</style>
	<script type="text/javascript">
		//clase (prototipo)
		let Cuadrado=function(id,i,d,ancho=10,alto=10){
			//propiedades privadas
			let izquierda;
			let arriba;
			let atributoId;
			//propiedades publicas
			this.ancho=10;
			this.alto=10;
			//constructor
			this.Cuadrado=function(id,i,d,ancho=10,alto=10){
				izquierda=i;
				arriba=d;
				this.ancho=ancho;
				this.alto=alto;
				atributoId=id;
				document.querySelector("body").innerHTML+='<div class="punto" id="'+atributoId+'">&nbsp</div>'
				document.querySelector("#"+atributoId).style.top = this.getArriba();
				document.querySelector("#"+atributoId).style.left = this.getIzquierda();
				document.querySelector("#"+atributoId).style.width=this.ancho+"px";
				document.querySelector("#"+atributoId).style.height=this.alto+"px";

			};
		
			//elemento estatico de tipo propiedad
				Cuadrado.unidades="px";
			//getter y setter
			this.setIzquierda=function(valor){
				izquierda=valor;			
			};
			this.setArriba=function(valor){
				arriba=valor;
			};
			this.getIzquierda=function(){
				return izquierda+Cuadrado.unidades;
			};
			this.getArriba=function(){
				return arriba+Cuadrado.unidades;
			};
			//llamada al constructor
			this.Cuadrado(id,i,d,ancho,alto);
		};
		window.addEventListener("load",(e) => {
			//crear objeto
			let uno=new Cuadrado("caja1",10,2);
			let dos=new Cuadrado("caja2",300,200,100,200);
			/*console.log(uno.getArriba());
			console.log(dos.getArriba());
			Cuadrado.unidades="pt";
			console.log(uno.getArriba());
			console.log(dos.getArriba());*/
	});
	</script>
</head>
<body>	
</body>
</html>